//-	---------------------------------------------------------------------------
//-	Name: 		SetColumn.h
//-
//-	Purpose:	This file provides the definition of the class
//-				CSetColumn.
//-
//-	Revisions:
//-	Date		Author		Change Summary
//-	---------	------		---------------------------------------------------
//-	09-30-99	Mklombardi@ Created & Released.
//-             netzero,net 
//-
//-	Notes:		None.
//-
//- Copyright : This software is NOT copyrighted.
// This code may be used in compiled form in any way you desire. This
// file may be redistributed unmodified by any means PROVIDING it is 
// not sold for profit without the authors written consent, and 
// providing that this notice and the authors name is included. If 
// the source code in  this file is used in any commercial application 
// then acknowledgement must be made to the author of this file 
// (in whatever form you wish).
//
// This file is provided "as is" with no expressed or implied warranty.
// The author accepts no liability for any damage/loss of business that
// this product may cause.
//
// Expect bugs!
// 
// Please use and enjoy. Please let me know of any bugs/mods/improvements 
// that you have found/implemented and I will fix/incorporate them into this
// file.
#if !defined(AFX_SETCOLUMN_H__2EAF0CB2_6525_11D3_9226_0008C773DEA8__INCLUDED_)
#define AFX_SETCOLUMN_H__2EAF0CB2_6525_11D3_9226_0008C773DEA8__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// SetColumn.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSetColumn dialog

class CSetColumn : public CDialog
{
// Construction
public:
	CSetColumn(CWnd* pParent = NULL);   // standard constructor
    virtual ~CSetColumn();
    void SetHeadings(CObList *ExistingItems);
    int m_NumCols;

// Dialog Data
	//{{AFX_DATA(CSetColumn)
	enum { IDD = IDD_SET_COLUMN_DIALOG };
	CButton	m_DropListItemsButton;
	CEdit	m_ColCtl;
	CListBox	m_Listbox;
	CButton	m_NextButton;
	CButton	m_PreviousButton;
	CString	m_ColumnName;
	int		m_ColumnId;
	short	m_ColWidth;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSetColumn)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSetColumn)
	afx_msg void OnNextButton();
	afx_msg void OnPreviousButton();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSelchangeListbox();
	afx_msg void OnDropListItems();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
    void StoreData(BOOLEAN NewElement);
    void GetData();
    CString ConvertEscapeCodes(CString InputString);
    CString InsertEscapeCodes(CString InputString);

protected:
    CObList* m_pItems;
    CString m_DropListData;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETCOLUMN_H__2EAF0CB2_6525_11D3_9226_0008C773DEA8__INCLUDED_)
